/**
 * Created by 123456 on 2018/11/16.
 */
function showAlert(jsonMsg){
    if(!((typeof jsonMsg)=="object" && Object.prototype.toString.call(jsonMsg).toLowerCase() == "[object object]" && !jsonMsg.length)){
        $.error("请输入json格式数据");
        return;
    }
    $("#resultinfo").dialog({}).dialog("close");
    $("#resultinfo").empty().append(jsonMsg.msg);
    $("#resultinfo").dialog({
        width: 360,
        autoOpen: false,
        resizable : false,
        modal : true,
        zIndex:999999,
        buttons : {
            "确定" : function() {
                $(this).dialog("close");
            }
        },
        close:function(){
            if(jsonMsg.func){
                jsonMsg.func.call(this,jsonMsg.param);
            }
        }
    }).dialog("open");
}
function showAlertNotMust(msg,func,param){
    $("#resultinfo").dialog({}).dialog("close");
    $("#resultinfo").empty().append(msg);
    $("#resultinfo").dialog({
        width: 360,
        autoOpen: false,
        resizable : false,
        modal : true,
        zIndex:999999,
        buttons : {
            "确定" : function() {
                $(this).dialog("close");
                if(func){
                    if(param){
                        func.call(this,param);
                    }else{
                        func.call(this);
                    }
                }
            },
            "取消" : function() {
                $(this).dialog("close");
            }
        },
        close:function(){
        }
    }).dialog("open");
}
function closeMsg(){
    $("#showtinfo").empty();
    $("#showtinfo").dialog("close");
}
function showConfirm(msg,func,param){
    $("#confirmdialog").empty().append(msg+"");
    $("#confirmdialog").dialog({
        autoOpen: false,
        width: 360,
        title:'操作提示',
        zIndex:10000,
        resizable :false,
        modal: true,
        buttons:{
            "确定":function(){
                if(func){
                    if(param){
                        func.call(this,param);
                    }else{
                        func.call(this);
                    }
                }
                $(this).dialog("close");
            },
            "取消":function(){
                $(this).dialog("close");
            }
        },
        close:function(){
        }
    }).dialog("open");
}
/*弹框提示并执行回调，没有取消按钮，弹框关闭即执行回调 */
function showConfirmNoCancle(msg,func,param){
    $("#confirmdialog").empty().append(msg+"");
    $("#confirmdialog").dialog({
        autoOpen: false,
        width: 360,
        title:'操作提示',
        zIndex:10000,
        resizable :false,
        modal: true,
        buttons:{
            "确定":function(){
                $(this).dialog("close");
            }
        },
        close:function(){
            if(func){
                if(param){
                    func.call(this,param);
                }else{
                    func.call(this);
                }
            }

        }
    }).dialog("open");
}
function showFun(msg,func,param){
    $("#resultinfo").empty().append(msg);
    $("#resultinfo").dialog({
        resizable : false,
        modal : true,
        width: 360,
        zIndex:999999,
        buttons : {
            "确定" : function() {
                $(this).dialog("close");
                if(func){
                    func.call(null,param);
                }
            },
            "取消":function(){
                $(this).dialog("close");
            }
        },
        close:function(){
            $(this).dialog("close");
        }
    }).dialog("open");
}
function showMsg(msg){
    $("#confirmdialog").empty().append(msg+"");
    $("#confirmdialog").dialog({
        autoOpen: false,
        width: 360,
        title:'操作提示',
        zIndex:10000,
        resizable :false,
        modal: true,
        buttons:{
            "确定":function(){
                $(this).dialog("close");
            }
        },
        close:function(){
            $(this).dialog("close");
        }
    }).dialog("open");
}
function JumpURL(msg,url){
    $("#confirmdialog").empty().append(msg+"");
    $("#confirmdialog").dialog({
        autoOpen: false,
        width: 360,
        title:'操作提示',
        zIndex:10000,
        resizable :false,
        modal: true,
        buttons:{
            "确定":function(){
                $(this).dialog("close");
                window.location.href=url;
            }
        },
        close:function(){
            $(this).dialog("close");
            window.location.href=url;
        }
    }).dialog("open");
}
function showAlertString(msg,func,param){
    $("#resultinfo").empty().append(msg);
    $("#resultinfo").dialog({
        autoOpen: false,
        width: 360,
        title:'操作提示',
        zIndex:10000,
        resizable :false,
        modal: true,
        buttons:{
            "确定":function(){
                $(this).dialog("close");
            }
        },
        close:function(){
            if(func){
                func.call(this,param);
            }
        }
    }).dialog("open");
}
function alertInfo(msg){
    $("#confirmdialog").empty().append(msg+"");
    $("#confirmdialog").dialog({
        autoOpen: false,
        width: 360,
        title:'操作提示',
        zIndex:10000,
        resizable :false,
        modal: true,
        buttons:{
            "确定":function(){
                $(this).dialog("close");
            }
        },
        close:function(){
            $(this).dialog("close");
        }
    }).dialog("open");
}
function openURL(msg,url){
    $("#confirmdialog").empty().append(msg+"");
    $("#confirmdialog").dialog({
        autoOpen: false,
        width: 360,
        title:'操作提示',
        zIndex:10000,
        resizable :false,
        modal: true,
        buttons:{
            "确定":function(){
                $(this).dialog("close");
                window.open(url);
            }
        },
        close:function(){
            $(this).dialog("close");
            window.location.href=url;
        }
    }).dialog("open");
}

/**
 * 关闭所有弹窗
 */
function Silence() {
    $.each($(".ui-dialog-content"), function() {
        $("#" + this.id).dialog("close");
    });
}
/**
 * 信息弹窗
 * @param msg 提示信息
 * @param title 弹窗标题
 */
function ShowMsg(msg,title){
    if(!title){
        title = "温馨提示";
    }
    $("#MsgInfo").empty().append(msg);
    $("#MsgInfo").dialog({
        autoOpen:false,
        width:360,
        title:title,
        zIndex:10000,
        resizable:false,
        modal:true,
        buttons:{
            "确定":function(){
                $(this).dialog("close");
            }
        }
    }).dialog("open");
}

/**
 * 信息弹窗
 * @param msg 提示信息
 * @param func 确认调用函数
 * @param param 确认调用函数参数
 * @param title 弹窗标题
 */
function ShowAlert(msg,func,param,title){
    if(!title){
        title = "温馨提示";
    }
    $("#AlertInfo").empty().append(msg);
    $("#AlertInfo").dialog({
        autoOpen:false,
        width:360,
        title:title,
        zIndex:10000,
        resizable:false,
        modal:true,
        buttons:{
            "确定":function(){
                $(this).dialog("close");
                if(func){
                    if(param){
                        func.call(this,param);
                    }else{
                        func.call(this);
                    }
                }
            },
            "取消":function(){
                $(this).dialog("close");
            }
        },
        close:function(){
        }
    }).dialog("open");
}

/**
 * 等待弹窗
 * @param msg 提示信息
 */
function ShowWaitImg(msg){
    if(msg){
        $("#WaitMsg").empty().append(msg);
    }
    $("#WaitImg").dialog({
        autoOpen: false,
        width: 280,
        height: 100,
        zIndex:10000,
        resizable :false,
        modal: true
    }).dialog("open");
}

/**
 * 确认弹窗
 * @param msg 确认提示信息
 * @param func 确认调用函数
 * @param param 确认调用函数参数
 */
function ShowConfirm(msg,func,param){
    $("#ConfirmInfo").empty().append(msg);
    $("#ConfirmInfo").dialog({
        autoOpen: false,
        width: 360,
        title:'操作提示',
        zIndex:10000,
        resizable :false,
        modal: true,
        buttons:{
            "确定":function(){
                if(func){
                    if(param){
                        func.call(this,param);
                    }else{
                        func.call(this);
                    }
                }
                $(this).dialog("close");
            },
            "取消":function(){
                $(this).dialog("close");
            }
        },
        close:function(){
        }
    }).dialog("open");
}